Sync obconf 1:2.0.4+git20130908-1 (universe) from Debian experimental (main)

Bug #1249717 reported by Artur Rona on 2013-11-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
obconf (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync obconf 1:2.0.4+git20130908-1 (experimental) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * debian/patches:
   - 03-button-layout.patch: Removed, not necessary now that openbox 3.5.2 is
     released.
  * debian/control:
   - Bump build depends on openbox >= 3.5.2.
  * debian/patches:
   - 03-button-layout.patch: Removed, not necessary now that openbox 3.5.2 is
     released.
  * debian/control:
   - Bump build depends on openbox >= 3.5.2.
  * New upstream release.
  * debian/patches:
   - 01-freedesktop-compliance.patch: Refresh.
   - 02-show-specific-tab.patch: Removed, merged upstream.
   - 03-button-layout.patch: Refresh.
   - 04-l10n-pt-br.patch: Removed, merged upstream.

The same upstream release is included in Debian and B-D on openbox 3.5.2 bumped, as well.

Changelog entries since current trusty version 1:2.0.4-0ubuntu2:

obconf (1:2.0.4+git20130908-1) experimental; urgency=low

  * Merge upstream version 2.0.4+git20130908: (LP: #1218221)
    + use gtk3 for now. (LP: #1059543)
    + refresh debian/patches/update_desktop.patch. (LP: #1179969)
  * Use xz compress for sources and binaries.
  * Upload to experimental.

 -- Mateusz Łukasik <email address hidden> Tue, 29 Oct 2013 16:39:08 +0100

obconf (1:2.0.4-1) unstable; urgency=low

  * New upstream release:
    - fix FTBFS with openbox 3.5.x. (Closes: #725018, #726270)
    - remove excessive noise on stderr. (Closes: #615102)
    - fix a bug where changing the window title to condensed
      fonts was not working. (Closes: #651767)
  * debian/control:
    - add myself as maintainer.
    - remove Daniel Baumann from uploaders. (Closes: #704353)
    - bump standard version.
    - bump minimal openbox version.
    - update Vcs-* fields.
  * Remove old debian/patches -- all included upstream.
  * Add debian/patches/update_desktop.patch.
  * Update debian/watch.
  * Update debian/copyright.

 -- Mateusz Łukasik <email address hidden> Wed, 16 Oct 2013 11:11:02 +0200

Related branches

Logan Rosen (logan) wrote :

What about 01-freedesktop-compliance.patch?

Changed in obconf (Ubuntu):
status: New → Incomplete
importance: Undecided → Wishlist

It has been deleted in Debian, according to debian/changelog:
* Remove old debian/patches -- all included upstream.

Generally, I trust the Maintainers, so I recognize it's OK. However, to be clear, I asked already Mateusz whether patch 01-freedesktop-compliance.patch can be 100% deleted.

I think it's OK to sync directly newer upstream version from Debian experimental. It builds fine.

summary: - Sync obconf 1:2.0.4-1 (universe) from Debian unstable (main)
+ Sync obconf 1:2.0.4+git20130908-1 (universe) from Debian unstable (main)
description: updated
Artur Rona (ari-tczew) on 2013-11-10
summary: - Sync obconf 1:2.0.4+git20130908-1 (universe) from Debian unstable (main)
+ Sync obconf 1:2.0.4+git20130908-1 (universe) from Debian experimental
+ (main)
description: updated
Logan Rosen (logan) wrote :

This bug was fixed in the package obconf - 1:2.0.4+git20130908-1
Sponsored for Artur Rona (ari-tczew)

---------------
obconf (1:2.0.4+git20130908-1) experimental; urgency=low

  * Merge upstream version 2.0.4+git20130908: (LP: #1218221)
    + use gtk3 for now. (LP: #1059543)
    + refresh debian/patches/update_desktop.patch. (LP: #1179969)
  * Use xz compress for sources and binaries.
  * Upload to experimental.

 -- Mateusz Łukasik <email address hidden> Tue, 29 Oct 2013 16:39:08 +0100

obconf (1:2.0.4-1) unstable; urgency=low

  * New upstream release:
    - fix FTBFS with openbox 3.5.x. (Closes: #725018, #726270)
    - remove excessive noise on stderr. (Closes: #615102)
    - fix a bug where changing the window title to condensed
      fonts was not working. (Closes: #651767)
  * debian/control:
    - add myself as maintainer.
    - remove Daniel Baumann from uploaders. (Closes: #704353)
    - bump standard version.
    - bump minimal openbox version.
    - update Vcs-* fields.
  * Remove old debian/patches -- all included upstream.
  * Add debian/patches/update_desktop.patch.
  * Update debian/watch.
  * Update debian/copyright.

 -- Mateusz Łukasik <email address hidden> Wed, 16 Oct 2013 11:11:02 +0200

Changed in obconf (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers